DECLARE @PR履歴No int
DECLARE @商品No int
DECLARE @顧客No int
DECLARE @登録スタッフNo int
DECLARE @広告No int
DECLARE @プロモーション予定No int
DECLARE @プロモーション実績No int
DECLARE @PR区分No int
DECLARE @総費用 int
DECLARE @対象商品総数 int
DECLARE @対象既存顧客総数 int
DECLARE @有効日数内の総売上 int
DECLARE @新規顧客獲得数 int
DECLARE @見込顧客獲得数 int
DECLARE @掘起し顧客数 int
DECLARE @更新スタッフNo int
DECLARE @年 int
DECLARE @年月 int
DECLARE @月 int
DECLARE @F int
DECLARE @M int
DECLARE @コンタクト履歴No int
DECLARE @バウンドNo int
DECLARE @ツールNo int
DECLARE @コンタクトスタッフNo int
DECLARE @スタッフNo int
DECLARE @役職No int
DECLARE @権限No int
DECLARE @画面No int
DECLARE @区分 int
DECLARE @可不可 int
DECLARE @PR名 varchar
DECLARE @広告名 varchar
DECLARE @内容 varchar
DECLARE @担当者名 varchar
DECLARE @TEL varchar
DECLARE @FAX varchar
DECLARE @メールアドレス varchar
DECLARE @URL varchar
DECLARE @備考 varchar
DECLARE @操作端末名 varchar
DECLARE @操作スタッフ氏名 varchar
DECLARE @操作画面 varchar
DECLARE @操作内容 varchar
DECLARE @件名 varchar
DECLARE @本文 varchar
DECLARE @スタッフID varchar
DECLARE @パスワード varchar
DECLARE @氏名 varchar
DECLARE @値 varchar
DECLARE @公開予定日 datetime
DECLARE @公開実施日 datetime
DECLARE @予定期間fr datetime
DECLARE @予定期間to datetime
DECLARE @公開予定日fr datetime
DECLARE @公開予定日to datetime
DECLARE @公開実施日fr datetime
DECLARE @公開実施日to datetime
DECLARE @実施期間fr datetime
DECLARE @実施期間to datetime
DECLARE @休眠対象日 datetime
DECLARE @販売日時fr datetime
DECLARE @販売日時to datetime
DECLARE @操作日fr datetime
DECLARE @操作日to datetime
DECLARE @コンタクト日時 datetime

SET @PR履歴No = 1
SET @商品No = 1
SET @顧客No = 1
SET @登録スタッフNo = 1
SET @広告No = 1
SET @プロモーション予定No = 1
SET @プロモーション実績No = 1
SET @PR区分No = 1
SET @総費用 = 1
SET @対象商品総数 = 1
SET @対象既存顧客総数 = 1
SET @有効日数内の総売上 = 1
SET @新規顧客獲得数 = 1
SET @見込顧客獲得数 = 1
SET @掘起し顧客数 = 1
SET @更新スタッフNo = 1
SET @年 = 1
SET @年月 = 1
SET @月 = 1
SET @F = 1
SET @M = 1
SET @コンタクト履歴No = 1
SET @バウンドNo = 1
SET @ツールNo = 1
SET @コンタクトスタッフNo = 1
SET @スタッフNo = 1
SET @役職No = 1
SET @権限No = 1
SET @画面No = 1
SET @区分 = 1
SET @可不可 = 1
SET @PR名 = 'a'
SET @広告名 = 'a'
SET @内容 = 'a'
SET @担当者名 = 'a'
SET @TEL = 'a'
SET @FAX = 'a'
SET @メールアドレス = 'a'
SET @URL = 'a'
SET @備考 = 'a'
SET @操作端末名 = 'a'
SET @操作スタッフ氏名 = 'a'
SET @操作画面 = 'a'
SET @操作内容 = 'a'
SET @件名 = 'a'
SET @本文 = 'a'
SET @スタッフID = 'a'
SET @パスワード = 'a'
SET @氏名 = 'a'
SET @値 = 'a'
SET @公開予定日 = '2002/1/11'
SET @公開実施日 = '2002/1/11'
SET @実施期間fr = '2002/1/11'
SET @実施期間to = '2003/7/11'
SET @休眠対象日 = '2001/7/15'
SET @予定期間fr = '2001/7/15'
SET @予定期間to = '2001/7/15'
SET @公開予定日fr = '2002/1/11'
SET @公開予定日to = '2002/1/11'
SET @公開実施日fr = '2002/1/11'
SET @公開実施日to = '2002/1/11'
SET @販売日時fr = '2002/1/11'
SET @販売日時to = '2002/1/11'
SET @操作日fr = '2002/1/11'
SET @操作日to = '2002/1/11'
SET @コンタクト日時 = '2002/1/11'



---- Fill
--SELECT
--	M08オープン可能画面.可不可, 
--	M08オープン可能画面.画面No, 
--	M01固定属性.値
--FROM
--	M08オープン可能画面 INNER JOIN
--	M01固定属性 ON M08オープン可能画面.画面No = M01固定属性.固定属性No
--WHERE
--	組織No = @組織No AND
--	M08オープン可能画面.権限No = @権限No
SELECT
	M08オープン可能画面.可不可,
	M08オープン可能画面.画面No, 
	M04属性.値
FROM
	M08オープン可能画面 INNER JOIN
	M04属性 ON M08オープン可能画面.画面No = M04属性.属性No
WHERE
	M08オープン可能画面.権限No = @権限No


---- Delete権限No
--DELETE FROM M08オープン可能画面
--WHERE
--	組織No = @組織No AND
--	権限No = @権限No
DELETE FROM M08オープン可能画面
WHERE
	権限No = @権限No


---- Insertオープン可能画面
--INSERT INTO M08オープン可能画面	(
--	組織No,
--	権限No, 
--	画面No, 
--	可不可, 
--	登録ユーザーNo, 
--	登録日時, 
--	更新ユーザーNo, 
--	更新日時
--) VALUES (
--	@組織No,
--	@権限No,
--	@画面No,
--	@可不可,
--	@登録ユーザーNo, 
--	GETDATE(),
--	@登録ユーザーNo, 
--	GETDATE()
--)
INSERT INTO M08オープン可能画面 (
	権限No,
	画面No,
	可不可,
	登録スタッフNo,
	登録日時,
	更新スタッフNo, 
	更新日時
) VALUES (
	@権限No,
	@画面No,
	@可不可,
	@登録スタッフNo,
	GETDATE(),
	@登録スタッフNo,
	GETDATE()
)
                      

---- Scalarチェック閲覧権限
--SELECT
--	COUNT(*) AS cnt
--FROM
--	M01固定属性 RIGHT OUTER JOIN
--	M08オープン可能画面 ON 
--	M01固定属性.固定属性No = M08オープン可能画面.画面No LEFT OUTER JOIN
--	M07組織スタッフ ON M08オープン可能画面.権限No = M07組織スタッフ.権限No
--WHERE
--	M08オープン可能画面.組織No = @組織No AND
--	M08オープン可能画面.可不可 = 1 AND 
--	M07組織スタッフ.ユーザーNo = @スタッフNo AND 
--	M01固定属性.値 = @値
SELECT
	COUNT(*) AS cnt
FROM
	M04属性 RIGHT OUTER JOIN
	M08オープン可能画面 ON 
	M04属性.属性No = M08オープン可能画面.画面No LEFT OUTER JOIN
	M07スタッフ ON M08オープン可能画面.権限No = M07スタッフ.権限No
WHERE
	(M08オープン可能画面.可不可 = 1) AND 
	(M07スタッフ.スタッフNo = @スタッフNo) AND
	(M04属性.値 = @値)
                      

---- Scalar同一権限名
--SELECT
--	COUNT(*) AS cnt
--FROM
--	M01固定属性
--WHERE
--	区分 = @区分 AND 
--	値 = @値
SELECT
	COUNT(*) AS cnt
FROM
	M04属性
WHERE
	区分 = @区分 AND
	値 = @値



---- Updateオープン可能画面
--UPDATE M08オープン可能画面
--SET
--	可不可 = @可不可, 
--	更新ユーザーNo = @更新ユーザーNo,
--	更新日時 = GETDATE()
--WHERE
--	組織No = @組織No AND
--	権限No = @権限No AND 
--	画面No = @画面No
UPDATE
	M08オープン可能画面
SET
	可不可 = @可不可,
	更新スタッフNo = @更新スタッフNo, 
	更新日時 = GETDATE()
WHERE
	権限No = @権限No AND
	画面No = @画面No



